Download it now!
Bug 83428 - FILESAVE:Custom Properties get disappeared when saved Docx file is reopened
Summary: FILESAVE:Custom Properties get disappeared when saved Docx file is reopened
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other Linux (All)
: medium normal
Assignee: Heena Gupta
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-03 09:09 UTC by Heena Gupta
Modified: 2016-11-23 22:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample Docx File (3.94 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-09-03 09:40 UTC, Heena Gupta
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heena Gupta 2014-09-03 09:09:45 UTC

    
Comment 1 Joel Madero 2014-09-03 09:23:28 UTC
We need an actual set of reproducible steps with clear instructions. Saying properties aren't retained is not sufficient. Furthermore - is this new to 4.4? Also - what operating system are you running?

Marking as NEEDINFO - once you provide all the needed information mark as UNCONFIRMED. Thanks
Comment 2 Heena Gupta 2014-09-03 09:39:50 UTC
Steps to reproduce:-
1) Open a new document in writer
2) Add some custom properties in this document(File -> Properties -> Custom Properties -> Add)
3) Save the document as docx.
4) Close the docx document
5) Open the docx document again and go to File -> Properties -> Custom Properties.
Observed, all the custom properties are disappeared.
Comment 3 Heena Gupta 2014-09-03 09:40:48 UTC
Created attachment 105670 [details]
Sample Docx File
Comment 4 Joel Madero 2014-09-03 09:43:17 UTC
Any thoughts on if this is a duplicate: https://bugs.freedesktop.org/show_bug.cgi?id=51867
Comment 5 Heena Gupta 2014-09-03 10:04:27 UTC
I am using Linux OS
Comment 6 Commit Notification 2014-09-07 16:39:29 UTC
Heena Gupta committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=47c5454ea67632278d69a1ddfe97d74f5cc4449f

fdo#83428: Custom Properties dropped while exporting to docx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.